Subject: bug#27923: 24.3; -iconic switch screws up geometry

From: Geoff Kuenning <[email-masked]>
Date: Thu, 16 Nov 2017 01:13:30 -0800

Caveat: the testing has all been on my desktop at work, so I can't 
run new tests at this instant and am working from memory.

> Do the flashes occur only when you load init.el or also when 
> using the
> --iconic --geometry 80x78+1180+0 switches only?

My memory is that they happen at all times when using --iconic.

>>> emacs -Q --iconic --geometry 80x78+1180+0 --font
>>> "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1"
>>
>> This works correctly, but the geometry reported by xwininfo is
>> 79x77+100+0 (which is related to my Emacs.geometry Xrdb setting
>> rather than my gnuemacs.geometry).
>
> Do you mean that both sizes are off by one - 80/79 and 78/77 ? 
> What do

Yes, the size should be 80x78 and instead comes up as 79x77. 
Weird, huh?

> M-: (frame-width) RET
> and
> M-: (frame-height)

I'll try to remember to try those tomorrow.

> in such a frame give?  Did you remove/comment out the resource 
> settings?
> IIRC Emacs combines everything it finds and applies the last 
> settings it
> read.

When running without -Q, I used grep to remove resource settings 
from my master parameter file and reloaded that into X11 with 
xrdb.

>>> emacs -Q --iconic --load ~/init.el
>>
>> works entirely correctly with the first init.el (including 
>> correct X
>> placement).
>>
>>> emacs -Q --load ~/init.el
>>
>> works entirely correctly with the second init.el.
>
> So apart from the flashes these would be OK?

Yes.  And I never would have noticed the flashes if I hadn't been 
testing; they're under 1/10 second and happen when I'm logging in 
every morning.

>>> Also, please tell me what
>>> your original scenario gives with the line specifying the font 
>>> setting
>>> removed from the resource file.
>>
>> That one still fails.
>
> "still" in the sense that you get the same bad width?  Does 
> removing the
> font setting change _anything_ in the appearance of the frame?

Yes, the same bad width.  I'll check carefully tomorrow to see 
whether there is any frame change.
-- 
    Geoff Kuenning   [email-masked] 
    http://www.cs.hmc.edu/~geoff/

Statistics don't bore people, people bore people.